Skip to main content

Request

[GET]
{{baseUrl}}/api/v1/kyc/bvn
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameters

ParametersTypeDescriptionRequired
bvn *stringA valid bvnrequired
first namestringfirst name of bvn holderoptional
last namestringlast name of bvn holderoptional
dobstringdate of birth of bvn holder in yyyy-mm-ddoptional

Sample response

[200]
{
    "entity": {
        "bvn": {
            "value": "23456789012",
            "status": true
        },
        "first_name": {
            "confidence_value": 100,
            "status": true
        },
         "last_name": {
            "confidence_value": 100,
            "status": true
        }
    }
}

Response Fields

FieldTypeDescription
entityobjectContains the BVN validation results
entity.bvnobjectBVN validation result
entity.bvn.valuestringThe BVN that was validated
entity.bvn.statusbooleanWhether the BVN is valid
entity.first_nameobjectFirst name match result
entity.first_name.confidence_valuenumberConfidence score (0-100) for the first name match
entity.first_name.statusbooleanWhether the provided first name matches the BVN record
entity.last_nameobjectLast name match result
entity.last_name.confidence_valuenumberConfidence score (0-100) for the last name match
entity.last_name.statusbooleanWhether the provided last name matches the BVN record
[400]
{
    "error": "BVN not found"
}

Error Response Fields

FieldTypeDescription
errorstringError message describing why the request failed

Test Credentials for Sandbox

Kindly use this Test BVN in sandbox Environment bvn = 22222222222